# https://github.com/fheng/fh-openshift-templates
%global import_path        github.com/fheng/fh-openshift-templates

%global package_name       rhmap-fh-openshift-templates
%global ose_tarball_name   fh-openshift-templates-0.22.169-redhat-4
%global product_name       Red Hat Mobile Application Platform

Name:                      rhmap-fh-openshift-templates
Version:                   0.22.169
Release:                   2%{?dist}
Summary:                   Set of OpenShift templates that can be used to setup the Core and the MBaaS of the Red Hat Mobile Application Platform On-Premise product.
License:                   ASL 2.0
URL:                       https://%{import_path}
Source0:                   %{ose_tarball_name}.tar.gz
BuildArch:                 noarch

%description
%{summary}

%prep
%setup -q -n %{ose_tarball_name}

%build

%install

echo "+++ Creating folders for ose templates..."
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/rhmap/templates/core
mkdir -p %{buildroot}/opt/rhmap/templates/mbaas

echo "+++ Copying ose MBaaS templates..."
%{__install} -p -m 0755 %{_builddir}/%{ose_tarball_name}/fh-mbaas-template-*node.json %{buildroot}/opt/rhmap/templates/mbaas/

echo "+++ Copying ose MBaaS templates..."
%{__install} -p -m 0755 %{_builddir}/%{ose_tarball_name}/generated/*.json %{buildroot}/opt/rhmap/templates/core/

echo "+++ Copying Gitlab-shell Security Context Constraint (SCC) file..."
%{__install} -p -m 0755 %{_builddir}/%{ose_tarball_name}/gitlab-shell/scc-anyuid-with-chroot.json %{buildroot}/opt/rhmap/templates/core/

%files
/opt/rhmap/templates/mbaas/
/opt/rhmap/templates/core/
/opt/rhmap/templates/

%changelog
* Tue Oct 11 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-2
- Updated templates with patched Productised version
* Wed Oct 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.169-1
- Updated templates with latest Productised version
* Wed Sep 28 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.153-1
- Updated templates with latest Productised version
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.134-1
- Updated templates with latest Productised version
* Wed Sep 14 2016 Andrea Vibelli <avibelli@redhat.com> - 0.22.1-2
- Updated templates with latest upstream version; modified version naming
* Tue Sep 6 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-1
- Moved scc-anyuid-with-chroot.json file in core folder
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- Rename of the package into rhmap-fh-openshift-templates
* Mon Sep 5 2016 Andrea Vibelli <avibelli@redhat.com> - 0.0.1-1
- First package build of RHMAP OSE templates
